# Class VulkanLWJGLClearRectangles

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLClearRectangles

public final class VulkanLWJGLClearRectangles extends Object
Functions to pack image subresource layers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.lwjgl.vulkan.VkClearRect`
  `pack(org.lwjgl.system.MemoryStack stack, VulkanClearRectangle info)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkClearRect`
  `packInto(org.lwjgl.system.MemoryStack stack, VulkanClearRectangle source, org.lwjgl.vulkan.VkClearRect target)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkClearRect.Buffer`
  `packList(org.lwjgl.system.MemoryStack stack, List<VulkanClearRectangle> infos)`
  Pack structures.
  `static org.lwjgl.vulkan.VkClearRect.Buffer`
  `packListOrNull(org.lwjgl.system.MemoryStack stack, List<VulkanClearRectangle> infos)`
  Pack structures.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### pack

    public static org.lwjgl.vulkan.VkClearRect pack(org.lwjgl.system.MemoryStack stack, VulkanClearRectangle info)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `info` - A structure
    Returns:
      A packed structure

  - ### packInto

    public static org.lwjgl.vulkan.VkClearRect packInto(org.lwjgl.system.MemoryStack stack, VulkanClearRectangle source, org.lwjgl.vulkan.VkClearRect target)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `source` - The input structure
      `target` - The output structure
    Returns:
      A packed structure

  - ### packList

    public static org.lwjgl.vulkan.VkClearRect.Buffer packList(org.lwjgl.system.MemoryStack stack, List<VulkanClearRectangle> infos) throws VulkanException
    Pack structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structure
    Returns:
      A list of packed structure
    Throws:
      `VulkanException` - On errors

  - ### packListOrNull

    public static org.lwjgl.vulkan.VkClearRect.Buffer packListOrNull(org.lwjgl.system.MemoryStack stack, List<VulkanClearRectangle> infos) throws VulkanException
    Pack structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structure
    Returns:
      A list of packed structure
    Throws:
      `VulkanException` - On errors